apiVersion: apps/v1
kind: Deployment
metadata:
  name: app-canary
spec:
  replicas: 0
  selector:
    matchLabels:
      id: app
      type: canary
  template:
    metadata:
      labels:
        id: app
        type: canary
    spec:
      containers:
      - image: registry.gitlab.com/boriphuth.sa/k8s-deployment-example-app:v2
        imagePullPolicy: Always
        name: app
        resources:
          limits:
            cpu: 100m
            memory: 100Mi
